#Module-Specific definitions
%define mod_name mod_proxy_fcgi
%define mod_conf 32_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache web server
Name:		apache-%{mod_name}
Version:	0
Release:	%mkrel 13
Group:		System/Servers
License:	Apache License
URL:		http://www.apache.org/
Source0:	mod_proxy_fcgi.c
Source1:	fcgi_protocol.h
Source2:	fcgistarter.c
Source3:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
Requires:	apache-mod_proxy >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mod_proxy_fcgi is a DSO module for the apache web server.

%prep

%setup -q -c -T -n %{mod_name}-%{version}

cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c %{mod_name}.c

gcc \
    -I`%{_sbindir}/apxs -q INCLUDEDIR` \
    `%{_bindir}/apr-1-config --includes` \
    `%{_sbindir}/apxs -q CFLAGS` \
    `%{_bindir}/apr-1-config --cppflags` \
    `%{_bindir}/apr-1-config --link-ld` \
    `%{_bindir}/apr-1-config --libs` \
    -o fcgistarter fcgistarter.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sbindir}

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0755 fcgistarter %{buildroot}%{_sbindir}
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%attr(0755,root,root) %{_sbindir}/fcgistarter




%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0-13mdv2011.0
+ Revision: 678396
- mass rebuild

* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 0-12mdv2011.0
+ Revision: 605224
- Rebuild with apr with workaround to issue with gcc type based

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0-11mdv2011.0
+ Revision: 588045
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0-10mdv2010.1
+ Revision: 516162
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0-9mdv2010.0
+ Revision: 406633
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0-8mdv2009.1
+ Revision: 326217
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0-7mdv2009.0
+ Revision: 235068
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0-6mdv2009.0
+ Revision: 215619
- fix rebuild
- fix buildroot

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0-5mdv2008.1
+ Revision: 181832
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0-4mdv2008.1
+ Revision: 170740
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0-3mdv2008.0
+ Revision: 82656
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0-2mdv2007.1
+ Revision: 140727
- rebuild

* Sun Jan 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2007.1
+ Revision: 114678
- fix build
- Import apache-mod_proxy_fcgi

* Sun Jan 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2007.1
- initial Mandriva package

